Arch MeshToShape/ro: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 1: Line 1:
<languages/>
<languages/>
{{docnav|[[Arch_SplitMesh|Split Mesh]]|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_Module|Arch]]}}
{{docnav|[[Arch_SplitMesh|Split Mesh]]|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_Module|Arch]]|IconL=Arch_SplitMesh.svg |IconC=Workbench_Arch.svg |IconR=Arch_SelectNonSolidMeshes.png}}


<div class="mw-translate-fuzzy">
<div class="mw-translate-fuzzy">
Line 43: Line 43:
new_obj = Arch.meshToShape(Box)
new_obj = Arch.meshToShape(Box)
}}
}}
{{docnav|[[Arch_SplitMesh|Split Mesh]]|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_Module|Arch]]}}
{{docnav|[[Arch_SplitMesh|Split Mesh]]|[[Arch_SelectNonSolidMeshes|Select non-solid meshes]]|[[Arch_Module|Arch]]|IconL=Arch_SplitMesh.svg |IconC=Workbench_Arch.svg |IconR=Arch_SelectNonSolidMeshes.png}}
{{Arch Tools navi}}

{{Userdocnavi}}
<div class="mw-translate-fuzzy">
[[Category:Arch/ro]]
</div>

Revision as of 18:30, 9 February 2019

Arch MeshToShape

Menu location
Arch → Utilities → Mesh to Shape
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch RemoveShape

Descriere

Acest instrument convertește un obiect selectat Mesh într-un obiect Shape. Notă: Acest instrument este optimizat pentru obiectele cu fețe plate (fără curbe). Instrumentul corespunzător din [Workbench Part] poate fi mai potrivit pentru obiectele care conțin suprafețe curbe.

Cum se folosește

  1. Selectați un obiect tip plasă
  2. apăsați tasta Mesh to Shape în meniul Arch → Utilities menu

Scrip-Programare

Acest instrument poate fi utilizat în macros și din consola Python utilizând următoarea funcție:

new_obj = meshToShape(obj, mark=True, fast=True, tol=0.001, flat=False, cut=True)

Transformă o plasă într-op formă, unind fațetele coplanare.

import Arch, Mesh, BuildRegularGeoms

Box = FreeCAD.ActiveDocument.addObject("Mesh::Cube", "Cube")
Box.Length = 1000
Box.Width = 2000
Box.Height = 1000
FreeCAD.ActiveDocument.recompute()

new_obj = Arch.meshToShape(Box)